FreeMat

- Main Page
- Related Pages

vtkHedgeHog

Section: Visualization Toolkit Graphics Classes

# Usage

vtkHedgeHog creates oriented lines from the input data set. Line length is controlled by vector (or normal) magnitude times scale factor. If VectorMode is UseNormal, normals determine the orientation of the lines. Lines are colored by scalar data, if available.

To create an instance of class vtkHedgeHog, simply invoke its constructor as follows

      obj = vtkHedgeHog

# Methods

The class vtkHedgeHog has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkHedgeHog class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkHedgeHog = obj.NewInstance ()`
- `vtkHedgeHog = obj.SafeDownCast (vtkObject o)`
- `obj.SetScaleFactor (double )` - Set scale factor to control size of oriented lines.
- `double = obj.GetScaleFactor ()` - Set scale factor to control size of oriented lines.
- `obj.SetVectorMode (int )` - Specify whether to use vector or normal to perform vector operations.
- `int = obj.GetVectorMode ()` - Specify whether to use vector or normal to perform vector operations.
- `obj.SetVectorModeToUseVector ()` - Specify whether to use vector or normal to perform vector operations.
- `obj.SetVectorModeToUseNormal ()` - Specify whether to use vector or normal to perform vector operations.
- `string = obj.GetVectorModeAsString ()` - Specify whether to use vector or normal to perform vector operations.